<?php

namespace App\Domain\Scraping\Domain\Exception;

class CbzGenerationException extends \RuntimeException
{
    public static function unableToCreateDirectory(string $path): self
    {
        return new self(sprintf('Impossible de créer le répertoire : %s', $path));
    }

    public static function unableToCreateCbz(string $path): self
    {
        return new self(sprintf('Impossible de créer le fichier CBZ : %s', $path));
    }

    public static function unableToAddFileToArchive(string $filePath): self
    {
        return new self(sprintf('Impossible d\'ajouter le fichier à l\'archive : %s', $filePath));
    }
} 